summaryrefslogtreecommitdiffstats
path: root/source/l/gvfs
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gvfs')
-rwxr-xr-xsource/l/gvfs/gvfs.SlackBuild4
-rw-r--r--source/l/gvfs/gvfs.ftbfs.diff10
2 files changed, 13 insertions, 1 deletions
diff --git a/source/l/gvfs/gvfs.SlackBuild b/source/l/gvfs/gvfs.SlackBuild
index 199ebdbfc..50d06e59a 100755
--- a/source/l/gvfs/gvfs.SlackBuild
+++ b/source/l/gvfs/gvfs.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gvfs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -75,6 +75,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/gvfs.ftbfs.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
diff --git a/source/l/gvfs/gvfs.ftbfs.diff b/source/l/gvfs/gvfs.ftbfs.diff
new file mode 100644
index 000000000..7728d1020
--- /dev/null
+++ b/source/l/gvfs/gvfs.ftbfs.diff
@@ -0,0 +1,10 @@
+--- ./daemon/meson.build.orig 2021-04-30 06:19:33.189706000 -0500
++++ ./daemon/meson.build 2022-02-16 14:24:07.157150575 -0600
+@@ -366,7 +366,6 @@
+ )
+
+ i18n.merge_file(
+- policy,
+ input: policy_in,
+ output: '@BASENAME@',
+ po_dir: po_dir,